cf-report(8)

NAME
cf-report - cfengine's reporting agent

SYNOPSIS:
 cf-report [options]

DESCRIPTION:
The reporting agent is a merger between the older cfengine programs cfshow and cfenvgraph. It outputs data stored in cfengine's embedded databases in human readable form. cfengine is a self-healing configuration and change management based system. You can think of.B cfengine as a very high level language, much higher level than Perl or shell. Asingle statement is called a promise, and compliance can result in many hundreds of filesbeing created, or the permissions of many hundreds offiles being set. The idea of .B cfengine is to create a one or more sets of configuration files which willclassify and describe the setup of every host in a network.

COMMAND LINE OPTIONS:

--help, -h
    Print the help message

--class-regex, -c
    Specify a class regular expression to search for

--csv, -C
    Enable CSV output mode in hub queries

--debug, -d
    Enable debugging output

--verbose, -v
    Output verbose information about the behaviour of the agent

--inform, -I
    Output information about actions performed by the agent

--version, -V
    Output the version of the software

--no-lock, -K
    Ignore ifelapsed locks

--file, -f
    Specify an alternative input file than the default

--hostkey, -k
    Specify a hostkey to lookup

--html, -H
    Print output in HTML

--xml, -X
    Print output in XML

--version, -V
    Print version string for software

--purge, -P
    Purge data about peers not seen beyond the threshold horizon for assumed-dead

--erasehistory, -E
    Erase historical data from the cf-monitord monitoring database

--filter, -F
    Specify a name regular expression for filtering results

--outputdir, -o
    Set output directory for printing graph data

--promise-handle, -p
    Specify a promise-handle to look up

--query-hub, -q
    Query hub database interactively

--titles, -t
    Add title data to generated graph files

--timestamps, -T
    Add a time stamp to directory name for graph file data

--resolution, -R
    Print graph data in high resolution

--show, -1
    Show data matching named criteria (compliance,file_changes,file_diffs,promises,setuid,software,summary,vars)

--syntax, -S
    Print a syntax summary for this cfengine version

--syntax-export, -s
    Export a syntax tree in JSON format

--no-error-bars, -e
    Do not add error bars to the printed graphs

--no-scaling, -n
    Do not automatically scale the axes

--verbose, -v
    Generate verbose output

--remove-hosts, -r
    Remove comma separated list of key hash entries from the hosts-seen database

AUTHOR
Mark Burgess and CFEngine AS

INFORMATION
Bug reports: http://bug.cfengine.com, .pp Community help: http://forum.cfengine.com Community info: http://www.cfengine.com/pages/community Support services: http://www.cfengine.com This software is Copyright (C) 2008-2013 CFEngine AS.